//
//  NSArray+findDictionary.m
//  ClinicalExam
//
//  Created by AKIHIKO IMAI on 2014/09/19.
//  Copyright (c) 2014年 AKIHIKO IMAI. All rights reserved.
//

#import "NSArray+findDictionary.h"

@implementation NSArray (findDictionary)

/// 配列の内容が辞書の時、keyの値が文字列値でstrであるものの要素番号を返す
/// @param key 辞書キー
/// @param str 探す文字列
/// @return 見つかった要素番号 <0なら見つからなかった
-(NSInteger)findDictionary:(NSString *)key stringValue:(NSString *)str
{
	NSInteger i=0,ret=-1;
	for (id obj in self) {
		if ([obj isKindOfClass:[NSDictionary class]]) {
			// 配列の要素が辞書である
			NSDictionary *dic=(NSDictionary *)obj;
			if (dic[key]!=nil) {
				// 辞書はそのキーを持っている
				if ([dic[key] isKindOfClass:[NSString class]]) {
					NSString *value=(NSString *)dic[key];
					nslog(@"value=%@",value);
					// そのキーの方は文字列である
					if ([str isEqualToString:value]) {
						// 見つかった
						ret=i;
						break;
					}
				}
			}
		}
		i++;
	}
	return ret;
}

@end
